WebSphereMQJMSTopic (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereMQJMSTopic interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereMQJMSTopic

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource, WebSphereJMSDestination, WebSphereMQJMSDestination

    public interface WebSphereMQJMSTopic

extends WebSphereMQJMSDestination

Represents a WebSphere JMS Topic (Publish/Subscribe messaging).

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBaseTopicName()`
`java.lang.String` | `getBrokerCCDurSubQueue()`
`java.lang.String` | `getBrokerDurSubQueue()`
`boolean` | `hasBaseTopicName()`
`boolean` | `hasBrokerCCDurSubQueue()`
`boolean` | `hasBrokerDurSubQueue()`
`void` | `setBaseTopicName(java.lang.String baseTopicName)`
`void` | `setBrokerCCDurSubQueue(java.lang.String brokerCCDurSubQueue)`
`void` | `setBrokerDurSubQueue(java.lang.String brokerDurSubQueue)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereMQJMSDestination
`getCCSID, getDecimalEncoding, getFloatingPointEncoding, getIntegerEncoding, getNativeEncoding, getTargetClient, hasCCSID, hasDecimalEncoding, hasFloatingPointEncoding, hasIntegerEncoding, hasNativeEncoding, hasTargetClient, setCCSID, setDecimalEncoding, setFloatingPointEncoding, setIntegerEncoding, setNativeEncoding, setTargetClient`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJMSDestination
`getCategory, getExpiry, getJNDIName, getMessagePriority, getPersistence, getProvider, getResourceProperties, getSpecifiedExpiry, getSpecifiedPriority, hasCategory, hasExpiry, hasJNDIName, hasMessagePriority, hasPersistence, hasProvider, hasResourceProperties, hasSpecifiedExpiry, hasSpecifiedPriority, setCategory, setExpiry, setJNDIName, setMessagePriority, setPersistence, setProvider, setResourceProperties, setSpecifiedExpiry, setSpecifiedPriority`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getBaseTopicName

    java.lang.String getBaseTopicName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBaseTopicName

    void setBaseTopicName(java.lang.String baseTopicName)

### hasBaseTopicName

    boolean hasBaseTopicName()

### getBrokerDurSubQueue

    java.lang.String getBrokerDurSubQueue()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBrokerDurSubQueue

    void setBrokerDurSubQueue(java.lang.String brokerDurSubQueue)

### hasBrokerDurSubQueue

    boolean hasBrokerDurSubQueue()

### getBrokerCCDurSubQueue

    java.lang.String getBrokerCCDurSubQueue()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBrokerCCDurSubQueue

    void setBrokerCCDurSubQueue(java.lang.String brokerCCDurSubQueue)

### hasBrokerCCDurSubQueue

    boolean hasBrokerCCDurSubQueue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD